Commit db038e35 authored by Jose Blaya's avatar Jose Blaya
Browse files

Fix flow for Purchase plan from expiring account

parent aed3321a
......@@ -7,6 +7,7 @@
objects = {
/* Begin PBXBuildFile section */
07C81F59AF5D4C625838F8AA /* Pods_PIA_VPN_Tunnel.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D6D9EE3C62D9F8E7E9A49521 /* Pods_PIA_VPN_Tunnel.framework */; };
0E0715E7201CBB7100D6F666 /* Flags-dev.plist in Resources */ = {isa = PBXBuildFile; fileRef = 0E0715E5201CBB7100D6F666 /* Flags-dev.plist */; };
0E0786DE1EFA7EAE00F77466 /* Components.plist in Resources */ = {isa = PBXBuildFile; fileRef = 0E0786DD1EFA7EAE00F77466 /* Components.plist */; };
0E1F318620176A5F00FC1000 /* Theme+DarkPalette.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0E1F318520176A5F00FC1000 /* Theme+DarkPalette.swift */; };
......@@ -154,9 +155,7 @@
2985E5671856BD1200D70E28 /* QuartzCore.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 2985E5661856BD1200D70E28 /* QuartzCore.framework */; };
299E58511856BD31004CFD63 /* SystemConfiguration.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 299E58501856BD31004CFD63 /* SystemConfiguration.framework */; };
299E585F1856C6EE004CFD63 /* libz.dylib in Frameworks */ = {isa = PBXBuildFile; fileRef = 299E585E1856C6EE004CFD63 /* libz.dylib */; };
7E5CEC99C525CC872EBACF3A /* Pods_PIA_VPN_Tunnel.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = B8BBBAA2AE67BF1F156C2EE6 /* Pods_PIA_VPN_Tunnel.framework */; };
ADB46BF3B76407F9602D955F /* Pods_PIA_VPN.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 2A8976D3071986F5799EF0EC /* Pods_PIA_VPN.framework */; };
C7E4C18FB384B90E4B165CA0 /* Pods_PIA_VPN_dev.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0AB58F793623E77B8F9F4408 /* Pods_PIA_VPN_dev.framework */; };
8BBB69D28560882676FF3EF9 /* Pods_PIA_VPN.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D264312948E7706F899D278D /* Pods_PIA_VPN.framework */; };
DD1AA4962180AD92005116D7 /* CustomDNSSettingsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DD1AA4952180AD92005116D7 /* CustomDNSSettingsViewController.swift */; };
DD1AA4972180AD92005116D7 /* CustomDNSSettingsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = DD1AA4952180AD92005116D7 /* CustomDNSSettingsViewController.swift */; };
DD3BE97A21C2A0F60019206F /* AutolayoutViewController+Styles.swift in Sources */ = {isa = PBXBuildFile; fileRef = DD3BE97921C2A0F60019206F /* AutolayoutViewController+Styles.swift */; };
......@@ -176,6 +175,7 @@
DDC8124D2176185D00CB290C /* SwiftGen+SeguesStoryboards.swift in Sources */ = {isa = PBXBuildFile; fileRef = DDC8124B2176185000CB290C /* SwiftGen+SeguesStoryboards.swift */; };
DDC8124F21761B0B00CB290C /* SwiftGen+ScenesStoryboards.swift in Sources */ = {isa = PBXBuildFile; fileRef = DDC8124E21761B0B00CB290C /* SwiftGen+ScenesStoryboards.swift */; };
DDC8125021761B0B00CB290C /* SwiftGen+ScenesStoryboards.swift in Sources */ = {isa = PBXBuildFile; fileRef = DDC8124E21761B0B00CB290C /* SwiftGen+ScenesStoryboards.swift */; };
E90822679A722CD2167C1BB3 /* Pods_PIA_VPN_dev.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 09715250F114581319CA2AC3 /* Pods_PIA_VPN_dev.framework */; };
/* End PBXBuildFile section */
/* Begin PBXContainerItemProxy section */
......@@ -278,8 +278,7 @@
/* End PBXCopyFilesBuildPhase section */
/* Begin PBXFileReference section */
0AB58F793623E77B8F9F4408 /* Pods_PIA_VPN_dev.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_PIA_VPN_dev.framework; sourceTree = BUILT_PRODUCTS_DIR; };
0DA0B00E23864A394232B99C /* Pods-PIA VPN.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN.release.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN/Pods-PIA VPN.release.xcconfig"; sourceTree = "<group>"; };
09715250F114581319CA2AC3 /* Pods_PIA_VPN_dev.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_PIA_VPN_dev.framework; sourceTree = BUILT_PRODUCTS_DIR; };
0E0715E5201CBB7100D6F666 /* Flags-dev.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = "Flags-dev.plist"; sourceTree = "<group>"; };
0E0786DD1EFA7EAE00F77466 /* Components.plist */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.plist.xml; path = Components.plist; sourceTree = "<group>"; };
0E1F318520176A5F00FC1000 /* Theme+DarkPalette.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Theme+DarkPalette.swift"; sourceTree = "<group>"; };
......@@ -411,10 +410,13 @@
2985E5661856BD1200D70E28 /* QuartzCore.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = QuartzCore.framework; path = System/Library/Frameworks/QuartzCore.framework; sourceTree = SDKROOT; };
299E58501856BD31004CFD63 /* SystemConfiguration.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = SystemConfiguration.framework; path = System/Library/Frameworks/SystemConfiguration.framework; sourceTree = SDKROOT; };
299E585E1856C6EE004CFD63 /* libz.dylib */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.dylib"; name = libz.dylib; path = usr/lib/libz.dylib; sourceTree = SDKROOT; };
2A8976D3071986F5799EF0EC /* Pods_PIA_VPN.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_PIA_VPN.framework; sourceTree = BUILT_PRODUCTS_DIR; };
670103784CD7F3F39B12ABAD /* Pods-PIA VPN dev.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN dev.debug.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev.debug.xcconfig"; sourceTree = "<group>"; };
B09C77F61974E4D03AC1F748 /* Pods-PIA VPN dev.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN dev.release.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev.release.xcconfig"; sourceTree = "<group>"; };
B8BBBAA2AE67BF1F156C2EE6 /* Pods_PIA_VPN_Tunnel.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_PIA_VPN_Tunnel.framework; sourceTree = BUILT_PRODUCTS_DIR; };
434BEDE689ADFA607308EAC9 /* Pods-PIA VPN Tunnel.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN Tunnel.debug.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN Tunnel/Pods-PIA VPN Tunnel.debug.xcconfig"; sourceTree = "<group>"; };
56D42C1D18B43A6DCC244B82 /* Pods-PIA VPN.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN.debug.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN/Pods-PIA VPN.debug.xcconfig"; sourceTree = "<group>"; };
8AB032E1BD07E8EB573A9F22 /* Pods-PIA VPN dev.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN dev.release.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev.release.xcconfig"; sourceTree = "<group>"; };
A3D5F7C0AB2A207B15BB2B8E /* Pods-PIA VPN.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN.release.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN/Pods-PIA VPN.release.xcconfig"; sourceTree = "<group>"; };
B2646DEEE9366675CC7EEA5B /* Pods-PIA VPN Tunnel.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN Tunnel.release.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN Tunnel/Pods-PIA VPN Tunnel.release.xcconfig"; sourceTree = "<group>"; };
D264312948E7706F899D278D /* Pods_PIA_VPN.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_PIA_VPN.framework; sourceTree = BUILT_PRODUCTS_DIR; };
D6D9EE3C62D9F8E7E9A49521 /* Pods_PIA_VPN_Tunnel.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_PIA_VPN_Tunnel.framework; sourceTree = BUILT_PRODUCTS_DIR; };
DD1AA4952180AD92005116D7 /* CustomDNSSettingsViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomDNSSettingsViewController.swift; sourceTree = "<group>"; };
DD3BE97921C2A0F60019206F /* AutolayoutViewController+Styles.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "AutolayoutViewController+Styles.swift"; sourceTree = "<group>"; };
DD58F4B721AD579A00D043F7 /* GoogleService-Info.plist */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.plist.xml; path = "GoogleService-Info.plist"; sourceTree = "<group>"; };
......@@ -425,9 +427,7 @@
DD746959217F07AC00B7BD73 /* DNSList.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DNSList.swift; sourceTree = "<group>"; };
DDC8124B2176185000CB290C /* SwiftGen+SeguesStoryboards.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "SwiftGen+SeguesStoryboards.swift"; sourceTree = "<group>"; };
DDC8124E21761B0B00CB290C /* SwiftGen+ScenesStoryboards.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "SwiftGen+ScenesStoryboards.swift"; sourceTree = "<group>"; };
E59867BEF3E9B48CA47083B7 /* Pods-PIA VPN Tunnel.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN Tunnel.debug.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN Tunnel/Pods-PIA VPN Tunnel.debug.xcconfig"; sourceTree = "<group>"; };
E8A7AEE2EEBBF906FF247FF3 /* Pods-PIA VPN.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN.debug.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN/Pods-PIA VPN.debug.xcconfig"; sourceTree = "<group>"; };
FFE37A9CB5E0580C12AA9C8C /* Pods-PIA VPN Tunnel.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN Tunnel.release.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN Tunnel/Pods-PIA VPN Tunnel.release.xcconfig"; sourceTree = "<group>"; };
DFA4225B591D1C6DA4072FBD /* Pods-PIA VPN dev.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PIA VPN dev.debug.xcconfig"; path = "Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev.debug.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */
/* Begin PBXFrameworksBuildPhase section */
......@@ -435,7 +435,7 @@
isa = PBXFrameworksBuildPhase;
buildActionMask = 2147483647;
files = (
7E5CEC99C525CC872EBACF3A /* Pods_PIA_VPN_Tunnel.framework in Frameworks */,
07C81F59AF5D4C625838F8AA /* Pods_PIA_VPN_Tunnel.framework in Frameworks */,
);
runOnlyForDeploymentPostprocessing = 0;
};
......@@ -452,7 +452,7 @@
0EE2205D1F4EF307002805AE /* UIKit.framework in Frameworks */,
0EE2205E1F4EF307002805AE /* Foundation.framework in Frameworks */,
0EE2205F1F4EF307002805AE /* StoreKit.framework in Frameworks */,
C7E4C18FB384B90E4B165CA0 /* Pods_PIA_VPN_dev.framework in Frameworks */,
E90822679A722CD2167C1BB3 /* Pods_PIA_VPN_dev.framework in Frameworks */,
);
runOnlyForDeploymentPostprocessing = 0;
};
......@@ -490,7 +490,7 @@
291C6384183EBC210039EC03 /* UIKit.framework in Frameworks */,
291C6380183EBC210039EC03 /* Foundation.framework in Frameworks */,
0E9785861DA82FF000711A24 /* StoreKit.framework in Frameworks */,
ADB46BF3B76407F9602D955F /* Pods_PIA_VPN.framework in Frameworks */,
8BBB69D28560882676FF3EF9 /* Pods_PIA_VPN.framework in Frameworks */,
);
runOnlyForDeploymentPostprocessing = 0;
};
......@@ -694,7 +694,7 @@
0EEE1C191E4F719E00397DE2 /* Resources */,
291C637E183EBC210039EC03 /* Frameworks */,
291C637D183EBC210039EC03 /* Products */,
CF2061B8E0A8536A12B3C803 /* Pods */,
DA40CDCE8B4153AF6B9C4C0C /* Pods */,
);
sourceTree = "<group>";
};
......@@ -726,9 +726,9 @@
291C6383183EBC210039EC03 /* UIKit.framework */,
291C639E183EBC220039EC03 /* XCTest.framework */,
0E257AC41DA45D2F0000D3C3 /* NotificationCenter.framework */,
2A8976D3071986F5799EF0EC /* Pods_PIA_VPN.framework */,
B8BBBAA2AE67BF1F156C2EE6 /* Pods_PIA_VPN_Tunnel.framework */,
0AB58F793623E77B8F9F4408 /* Pods_PIA_VPN_dev.framework */,
D264312948E7706F899D278D /* Pods_PIA_VPN.framework */,
D6D9EE3C62D9F8E7E9A49521 /* Pods_PIA_VPN_Tunnel.framework */,
09715250F114581319CA2AC3 /* Pods_PIA_VPN_dev.framework */,
);
name = Frameworks;
sourceTree = "<group>";
......@@ -806,15 +806,15 @@
name = UI;
sourceTree = "<group>";
};
CF2061B8E0A8536A12B3C803 /* Pods */ = {
DA40CDCE8B4153AF6B9C4C0C /* Pods */ = {
isa = PBXGroup;
children = (
E8A7AEE2EEBBF906FF247FF3 /* Pods-PIA VPN.debug.xcconfig */,
0DA0B00E23864A394232B99C /* Pods-PIA VPN.release.xcconfig */,
E59867BEF3E9B48CA47083B7 /* Pods-PIA VPN Tunnel.debug.xcconfig */,
FFE37A9CB5E0580C12AA9C8C /* Pods-PIA VPN Tunnel.release.xcconfig */,
670103784CD7F3F39B12ABAD /* Pods-PIA VPN dev.debug.xcconfig */,
B09C77F61974E4D03AC1F748 /* Pods-PIA VPN dev.release.xcconfig */,
56D42C1D18B43A6DCC244B82 /* Pods-PIA VPN.debug.xcconfig */,
A3D5F7C0AB2A207B15BB2B8E /* Pods-PIA VPN.release.xcconfig */,
434BEDE689ADFA607308EAC9 /* Pods-PIA VPN Tunnel.debug.xcconfig */,
B2646DEEE9366675CC7EEA5B /* Pods-PIA VPN Tunnel.release.xcconfig */,
DFA4225B591D1C6DA4072FBD /* Pods-PIA VPN dev.debug.xcconfig */,
8AB032E1BD07E8EB573A9F22 /* Pods-PIA VPN dev.release.xcconfig */,
);
name = Pods;
sourceTree = "<group>";
......@@ -834,7 +834,7 @@
isa = PBXNativeTarget;
buildConfigurationList = 0E67FC2E1E3F802D00EF9929 /* Build configuration list for PBXNativeTarget "PIA VPN Tunnel" */;
buildPhases = (
C267E2BF6C613437D4E3DC27 /* [CP] Check Pods Manifest.lock */,
C98410E19FBB196CDFB881C4 /* [CP] Check Pods Manifest.lock */,
0E67FC1E1E3F802D00EF9929 /* Sources */,
0E67FC1F1E3F802D00EF9929 /* Frameworks */,
0E67FC201E3F802D00EF9929 /* Resources */,
......@@ -852,7 +852,7 @@
isa = PBXNativeTarget;
buildConfigurationList = 0EE220771F4EF307002805AE /* Build configuration list for PBXNativeTarget "PIA VPN dev" */;
buildPhases = (
3FBB53E1BDF58D8DCECAA185 /* [CP] Check Pods Manifest.lock */,
9969B373AC52FB3D4D9A416C /* [CP] Check Pods Manifest.lock */,
0EF9ABF71FF792DD005E1418 /* SwiftGen */,
0EE2200F1F4EF307002805AE /* Sources */,
0EE220561F4EF307002805AE /* Frameworks */,
......@@ -861,8 +861,8 @@
0EE220731F4EF307002805AE /* Embed App Extensions */,
0E60FF9E1F4F50A2001D30DB /* Embed Frameworks */,
DD58F4B921AE84B300D043F7 /* ShellScript */,
0D2689D32C5520F2D1E129DA /* [CP] Embed Pods Frameworks */,
F292B98849E90417D30A50B5 /* [CP] Copy Pods Resources */,
1D67522CD1F38AD8F1193221 /* [CP] Embed Pods Frameworks */,
742F28D7E0B92A6E6358E829 /* [CP] Copy Pods Resources */,
);
buildRules = (
);
......@@ -933,14 +933,14 @@
isa = PBXNativeTarget;
buildConfigurationList = 291C63AE183EBC220039EC03 /* Build configuration list for PBXNativeTarget "PIA VPN" */;
buildPhases = (
304AD747042350E2A4DFD187 /* [CP] Check Pods Manifest.lock */,
BF2B26FA3F6B381DBC62A35B /* [CP] Check Pods Manifest.lock */,
291C6378183EBC210039EC03 /* Sources */,
291C6379183EBC210039EC03 /* Frameworks */,
291C637A183EBC210039EC03 /* Resources */,
2931563B18513F6500E769A7 /* Download Latest Regions List */,
0E98CF0E1DCBFB3B003F1986 /* Embed App Extensions */,
0EF2668D1F4F1F8600DEB557 /* Embed Frameworks */,
1418E8D3833C45EA43DE1FEC /* [CP] Embed Pods Frameworks */,
153AEBE538652BE61AF84E54 /* [CP] Embed Pods Frameworks */,
);
buildRules = (
);
......@@ -1144,7 +1144,35 @@
/* End PBXResourcesBuildPhase section */
/* Begin PBXShellScriptBuildPhase section */
0D2689D32C5520F2D1E129DA /* [CP] Embed Pods Frameworks */ = {
0EE220711F4EF307002805AE /* Download Latest Regions List */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 12;
files = (
);
inputPaths = (
);
name = "Download Latest Regions List";
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/bash;
shellScript = "# update max once an hour\nset -e\n\nREGIONS_FILE=\"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/Regions.json\"\n\nif [[ ! -r \"${REGIONS_FILE}\" || $(find \"${REGIONS_FILE}\" -mmin +60) ]]; then\n echo \"downloading regions list to ${REGIONS_FILE}\"\n curl -sfo \"/tmp/piaios.tmp\" \"https://www.privateinternetaccess.com/vpninfo/servers?os=ios&version=60\"\n\n if [ $? -ne 0 ]; then\n echo \"failed to fetch regions list from server\"\n exit 1\n fi\n\n head -n 1 \"/tmp/piaios.tmp\" > \"${REGIONS_FILE}\"\n rm \"/tmp/piaios.tmp\"\nfi\n";
};
0EF9ABF71FF792DD005E1418 /* SwiftGen */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputPaths = (
);
name = SwiftGen;
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "if which swiftgen >/dev/null; then\n set -e\n swiftgen\nelse\n echo \"warning: SwiftGen not installed, download it from https://github.com/SwiftGen/SwiftGen\"\nfi\n";
};
153AEBE538652BE61AF84E54 /* [CP] Embed Pods Frameworks */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
......@@ -1152,7 +1180,7 @@
inputFileListPaths = (
);
inputPaths = (
"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev-frameworks.sh",
"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN/Pods-PIA VPN-frameworks.sh",
"${BUILT_PRODUCTS_DIR}/Alamofire/Alamofire.framework",
"${BUILT_PRODUCTS_DIR}/AlamofireImage/AlamofireImage.framework",
"${BUILT_PRODUCTS_DIR}/FXPageControl/FXPageControl.framework",
......@@ -1193,38 +1221,10 @@
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev-frameworks.sh\"\n";
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN/Pods-PIA VPN-frameworks.sh\"\n";
showEnvVarsInLog = 0;
};
0EE220711F4EF307002805AE /* Download Latest Regions List */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 12;
files = (
);
inputPaths = (
);
name = "Download Latest Regions List";
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/bash;
shellScript = "# update max once an hour\nset -e\n\nREGIONS_FILE=\"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/Regions.json\"\n\nif [[ ! -r \"${REGIONS_FILE}\" || $(find \"${REGIONS_FILE}\" -mmin +60) ]]; then\n echo \"downloading regions list to ${REGIONS_FILE}\"\n curl -sfo \"/tmp/piaios.tmp\" \"https://www.privateinternetaccess.com/vpninfo/servers?os=ios&version=60\"\n\n if [ $? -ne 0 ]; then\n echo \"failed to fetch regions list from server\"\n exit 1\n fi\n\n head -n 1 \"/tmp/piaios.tmp\" > \"${REGIONS_FILE}\"\n rm \"/tmp/piaios.tmp\"\nfi\n";
};
0EF9ABF71FF792DD005E1418 /* SwiftGen */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputPaths = (
);
name = SwiftGen;
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "if which swiftgen >/dev/null; then\n set -e\n swiftgen\nelse\n echo \"warning: SwiftGen not installed, download it from https://github.com/SwiftGen/SwiftGen\"\nfi\n";
};
1418E8D3833C45EA43DE1FEC /* [CP] Embed Pods Frameworks */ = {
1D67522CD1F38AD8F1193221 /* [CP] Embed Pods Frameworks */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
......@@ -1232,7 +1232,7 @@
inputFileListPaths = (
);
inputPaths = (
"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN/Pods-PIA VPN-frameworks.sh",
"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev-frameworks.sh",
"${BUILT_PRODUCTS_DIR}/Alamofire/Alamofire.framework",
"${BUILT_PRODUCTS_DIR}/AlamofireImage/AlamofireImage.framework",
"${BUILT_PRODUCTS_DIR}/FXPageControl/FXPageControl.framework",
......@@ -1273,7 +1273,7 @@
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN/Pods-PIA VPN-frameworks.sh\"\n";
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev-frameworks.sh\"\n";
showEnvVarsInLog = 0;
};
2931563B18513F6500E769A7 /* Download Latest Regions List */ = {
......@@ -1290,7 +1290,7 @@
shellPath = /bin/bash;
shellScript = "# update max once an hour\nset -e\n\nREGIONS_FILE=\"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/Regions.json\"\n\nif [[ ! -r \"${REGIONS_FILE}\" || $(find \"${REGIONS_FILE}\" -mmin +60) ]]; then\necho \"downloading regions list to ${REGIONS_FILE}\"\ncurl -sfo \"/tmp/piaios.tmp\" \"https://www.privateinternetaccess.com/vpninfo/servers?os=ios&version=60\"\n\nif [ $? -ne 0 ]; then\necho \"failed to fetch regions list from server\"\nexit 1\nfi\n\nhead -n 1 \"/tmp/piaios.tmp\" > \"${REGIONS_FILE}\"\nrm \"/tmp/piaios.tmp\"\nfi";
};
304AD747042350E2A4DFD187 /* [CP] Check Pods Manifest.lock */ = {
742F28D7E0B92A6E6358E829 /* [CP] Copy Pods Resources */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
......@@ -1298,21 +1298,21 @@
inputFileListPaths = (
);
inputPaths = (
"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
"${PODS_ROOT}/Manifest.lock",
"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev-resources.sh",
"${PODS_CONFIGURATION_BUILD_DIR}/HockeySDK/HockeySDKResources.bundle",
);
name = "[CP] Check Pods Manifest.lock";
name = "[CP] Copy Pods Resources";
outputFileListPaths = (
);
outputPaths = (
"$(DERIVED_FILE_DIR)/Pods-PIA VPN-checkManifestLockResult.txt",
"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/HockeySDKResources.bundle",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev-resources.sh\"\n";
showEnvVarsInLog = 0;
};
3FBB53E1BDF58D8DCECAA185 /* [CP] Check Pods Manifest.lock */ = {
9969B373AC52FB3D4D9A416C /* [CP] Check Pods Manifest.lock */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
......@@ -1334,7 +1334,7 @@
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
C267E2BF6C613437D4E3DC27 /* [CP] Check Pods Manifest.lock */ = {
BF2B26FA3F6B381DBC62A35B /* [CP] Check Pods Manifest.lock */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
......@@ -1349,14 +1349,14 @@
outputFileListPaths = (
);
outputPaths = (
"$(DERIVED_FILE_DIR)/Pods-PIA VPN Tunnel-checkManifestLockResult.txt",
"$(DERIVED_FILE_DIR)/Pods-PIA VPN-checkManifestLockResult.txt",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
DD58F4B921AE84B300D043F7 /* ShellScript */ = {
C98410E19FBB196CDFB881C4 /* [CP] Check Pods Manifest.lock */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
......@@ -1364,17 +1364,21 @@
inputFileListPaths = (
);
inputPaths = (
"$(BUILT_PRODUCTS_DIR)/$(INFOPLIST_PATH)",
"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
"${PODS_ROOT}/Manifest.lock",
);
name = "[CP] Check Pods Manifest.lock";
outputFileListPaths = (
);
outputPaths = (
"$(DERIVED_FILE_DIR)/Pods-PIA VPN Tunnel-checkManifestLockResult.txt",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "# Type a script or drag a script file from your workspace to insert its path.\n\"${PODS_ROOT}/Fabric/run\" 970f0999b1ac221604548824b2a49d005754ca32 5606a7ca9a2b622029ba4b67c2adf2e419d60e5460b92564806db96e3141bb72\n";
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
F292B98849E90417D30A50B5 /* [CP] Copy Pods Resources */ = {
DD58F4B921AE84B300D043F7 /* ShellScript */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
......@@ -1382,19 +1386,15 @@
inputFileListPaths = (
);
inputPaths = (
"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev-resources.sh",
"${PODS_CONFIGURATION_BUILD_DIR}/HockeySDK/HockeySDKResources.bundle",
"$(BUILT_PRODUCTS_DIR)/$(INFOPLIST_PATH)",
);
name = "[CP] Copy Pods Resources";
outputFileListPaths = (
);
outputPaths = (
"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/HockeySDKResources.bundle",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-PIA VPN dev/Pods-PIA VPN dev-resources.sh\"\n";
showEnvVarsInLog = 0;
shellScript = "# Type a script or drag a script file from your workspace to insert its path.\n\"${PODS_ROOT}/Fabric/run\" 970f0999b1ac221604548824b2a49d005754ca32 5606a7ca9a2b622029ba4b67c2adf2e419d60e5460b92564806db96e3141bb72\n";
};
/* End PBXShellScriptBuildPhase section */
......@@ -1660,7 +1660,7 @@
/* Begin XCBuildConfiguration section */
0E67FC2C1E3F802D00EF9929 /* Debug */ = {
isa = XCBuildConfiguration;
baseConfigurationReference = E59867BEF3E9B48CA47083B7 /* Pods-PIA VPN Tunnel.debug.xcconfig */;
baseConfigurationReference = 434BEDE689ADFA607308EAC9 /* Pods-PIA VPN Tunnel.debug.xcconfig */;
buildSettings = {
CLANG_ANALYZER_NONNULL = YES;
CLANG_ENABLE_MODULES = YES;
......@@ -1687,7 +1687,7 @@
};
0E67FC2D1E3F802D00EF9929 /* Release */ = {
isa = XCBuildConfiguration;
baseConfigurationReference = FFE37A9CB5E0580C12AA9C8C /* Pods-PIA VPN Tunnel.release.xcconfig */;
baseConfigurationReference = B2646DEEE9366675CC7EEA5B /* Pods-PIA VPN Tunnel.release.xcconfig */;
buildSettings = {
CLANG_ANALYZER_NONNULL = YES;
CLANG_ENABLE_MODULES = YES;
......@@ -1713,7 +1713,7 @@
};
0EE220781F4EF307002805AE /* Debug */ = {
isa = XCBuildConfiguration;
baseConfigurationReference = 670103784CD7F3F39B12ABAD /* Pods-PIA VPN dev.debug.xcconfig */;
baseConfigurationReference = DFA4225B591D1C6DA4072FBD /* Pods-PIA VPN dev.debug.xcconfig */;
buildSettings = {
APPLICATION_EXTENSION_API_ONLY = NO;
ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
......@@ -1750,7 +1750,7 @@
};
0EE220791F4EF307002805AE /* Release */ = {
isa = XCBuildConfiguration;
baseConfigurationReference = B09C77F61974E4D03AC1F748 /* Pods-PIA VPN dev.release.xcconfig */;
baseConfigurationReference = 8AB032E1BD07E8EB573A9F22 /* Pods-PIA VPN dev.release.xcconfig */;
buildSettings = {
APPLICATION_EXTENSION_API_ONLY = NO;
ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
......@@ -2053,7 +2053,7 @@
};
291C63AF183EBC220039EC03 /* Debug */ = {
isa = XCBuildConfiguration;
baseConfigurationReference = E8A7AEE2EEBBF906FF247FF3 /* Pods-PIA VPN.debug.xcconfig */;
baseConfigurationReference = 56D42C1D18B43A6DCC244B82 /* Pods-PIA VPN.debug.xcconfig */;
buildSettings = {
ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
CLANG_ENABLE_MODULES = YES;
......@@ -2081,7 +2081,7 @@
};
291C63B0183EBC220039EC03 /* Release */ = {
isa = XCBuildConfiguration;
baseConfigurationReference = 0DA0B00E23864A394232B99C /* Pods-PIA VPN.release.xcconfig */;
baseConfigurationReference = A3D5F7C0AB2A207B15BB2B8E /* Pods-PIA VPN.release.xcconfig */;
buildSettings = {
ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
CLANG_ENABLE_MODULES = YES;
......
......@@ -187,6 +187,7 @@ class DashboardViewController: AutolayoutViewController {
preset.allowsCancel = true
preset.shouldRecoverPendingSignup = false
preset.isEphemeral = true
preset.openFromDashboard = true
let vc = GetStartedViewController.withPurchase(preset: preset, delegate: self)
present(vc, animated: true, completion: nil)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment